summaryrefslogtreecommitdiffstats
path: root/source/l/unicode-ucd
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/unicode-ucd')
-rwxr-xr-xsource/l/unicode-ucd/fetch-sources.sh11
-rw-r--r--source/l/unicode-ucd/license.txt39
-rw-r--r--source/l/unicode-ucd/slack-desc19
-rwxr-xr-xsource/l/unicode-ucd/unicode-ucd.SlackBuild75
4 files changed, 144 insertions, 0 deletions
diff --git a/source/l/unicode-ucd/fetch-sources.sh b/source/l/unicode-ucd/fetch-sources.sh
new file mode 100755
index 000000000..c02a4ad07
--- /dev/null
+++ b/source/l/unicode-ucd/fetch-sources.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+VERSION=${VERSION:-15.1.0}
+
+rm -f UCD*.zip Unihan*.zip license.txt
+lftpget https://www.unicode.org/Public/zipped/$VERSION/UCD.zip
+lftpget https://www.unicode.org/Public/zipped/$VERSION/Unihan.zip
+lftpget https://www.unicode.org/license.txt
+
+mv UCD.zip UCD-${VERSION}.zip
+mv Unihan.zip Unihan-${VERSION}.zip
diff --git a/source/l/unicode-ucd/license.txt b/source/l/unicode-ucd/license.txt
new file mode 100644
index 000000000..ee8e69b23
--- /dev/null
+++ b/source/l/unicode-ucd/license.txt
@@ -0,0 +1,39 @@
+UNICODE LICENSE V3
+
+COPYRIGHT AND PERMISSION NOTICE
+
+Copyright © 1991-2024 Unicode, Inc.
+
+NOTICE TO USER: Carefully read the following legal agreement. BY
+DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING DATA FILES, AND/OR
+SOFTWARE, YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE
+TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT
+DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of data files and any associated documentation (the "Data Files") or
+software and any associated documentation (the "Software") to deal in the
+Data Files or Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute, and/or sell
+copies of the Data Files or Software, and to permit persons to whom the
+Data Files or Software are furnished to do so, provided that either (a)
+this copyright and permission notice appear with all copies of the Data
+Files or Software, or (b) this copyright and permission notice appear in
+associated Documentation.
+
+THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
+KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
+THIRD PARTY RIGHTS.
+
+IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE
+BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,
+OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA
+FILES OR SOFTWARE.
+
+Except as contained in this notice, the name of a copyright holder shall
+not be used in advertising or otherwise to promote the sale, use or other
+dealings in these Data Files or Software without prior written
+authorization of the copyright holder.
diff --git a/source/l/unicode-ucd/slack-desc b/source/l/unicode-ucd/slack-desc
new file mode 100644
index 000000000..318a00e39
--- /dev/null
+++ b/source/l/unicode-ucd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+unicode-ucd: unicode-ucd (Unicode Character Database)
+unicode-ucd:
+unicode-ucd: The Unicode Character Database (UCD) consists of a number of data
+unicode-ucd: files listing Unicode character properties and related data. It also
+unicode-ucd: includes test data for conformance to several important Unicode
+unicode-ucd: algorithms.
+unicode-ucd:
+unicode-ucd: Homepage: https://www.unicode.org
+unicode-ucd:
+unicode-ucd:
+unicode-ucd:
diff --git a/source/l/unicode-ucd/unicode-ucd.SlackBuild b/source/l/unicode-ucd/unicode-ucd.SlackBuild
new file mode 100755
index 000000000..e4b2d7098
--- /dev/null
+++ b/source/l/unicode-ucd/unicode-ucd.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Copyright 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=unicode-ucd
+VERSION=${VERSION:-$(echo UCD-*.zip | rev | cut -f 2- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+mkdir -p $PKG/usr/share/unicode
+( cd $PKG/usr/share/unicode
+ # Unfortunately we have to keep these large zip files in here because at
+ # least gucharmap can't handle the extracted files.
+ cp -a $CWD/UCD-${VERSION}.zip . || exit 1
+ cp -a $CWD/Unihan-${VERSION}.zip . || exit 1
+ mv UCD-${VERSION}.zip UCD.zip || exit 1
+ mv Unihan-${VERSION}.zip Unihan.zip || exit 1
+ unzip UCD.zip || exit 1
+ unzip Unihan.zip || exit 1
+) || exit 1
+
+# Compatibility symlinks that allow most things to find this:
+ln -sf . $PKG/usr/share/unicode/ucd
+ln -sf unicode $PKG/usr/share/unicode-character-database
+ln -sf unicode $PKG/usr/share/unicode-data
+ln -sf unicode $PKG/usr/share/unidata
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a license.txt $PKG/usr/doc/${PKGNAM}-$VERSION
+
+chown -R root:root $PKG
+find $PKG -type d -exec chmod 755 "{}" \;
+find $PKG -type f -exec chmod 644 "{}" \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz